Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.start
Class ClassLoaderUtil

    java.lang.Object
      com.sun.jini.start.ClassLoaderUtil

public class ClassLoaderUtil
extends Object

This class provides useful utilities for creating and manipulating class loaders.

Constructor Summary
`ClassLoaderUtil()`

Method Summary
`static void` | `displayClassLoaderTree(ClassLoader classloader)` Utility method that displays the class loader delegation tree for the given class loader.
`static void` | `displayContextClassLoaderTree()` Utility method that displays the class loader delegation tree for the current context class loader.
`static URL[]` | `getClasspathURLs(String classpath)` Utility method that converts the components of a `String` representing a classpath into file `URL`(s).
`static URL[]` | `getCodebaseURLs(String codebase)` Utility method that converts the components of a `String` representing a codebase into standard `URL`(s).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderUtil

    public ClassLoaderUtil()

Method Detail

### getClasspathURLs

    public static URL[] getClasspathURLs(String classpath)
                                  throws MalformedURLException

  Utility method that converts the components of a `String` representing a classpath into file `URL`(s).

  Parameters:
    `classpath` - `String` containing components separated by path separators that represent the components making up a classpath
  Returns:
    a `URL[]` where each element of the array corresponds to one of the components in the `classpath` parameter
  Throws:
    `MalformedURLException`

### getCodebaseURLs

    public static URL[] getCodebaseURLs(String codebase)
                                 throws MalformedURLException

  Utility method that converts the components of a `String` representing a codebase into standard `URL`(s).

  Parameters:
    `codebase` - `String` containing components separated by spaces in which each component is in `URL` format.
  Returns:
    a `URL[]` where each element of the array corresponds to one of the components in the `codebase` parameter
  Throws:
    `MalformedURLException`

### displayContextClassLoaderTree

    public static void displayContextClassLoaderTree()

  Utility method that displays the class loader delegation tree for the current context class loader. For each class loader in the tree, this method displays the locations from which that class loader will retrieve and load requested classes.

  This method can be useful when debugging problems related to the receipt of exceptions such as `ClassNotFoundException`.

### displayClassLoaderTree

    public static void displayClassLoaderTree(ClassLoader classloader)

  Utility method that displays the class loader delegation tree for the given class loader. For each class loader in the tree, this method displays the locations from which that class loader will retrieve and load requested classes.

  This method can be useful when debugging problems related to the receipt of exceptions such as `ClassNotFoundException`.

  Parameters:
    `classloader` - `ClassLoader` instance whose delegation tree is to be displayed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved